Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004324TestLinkTest Executepublic2011-03-15 08:572011-07-02 13:48
Reporterokyl 
Assigned ToJulian 
PrioritylowSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 (Prague) 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0004324: Bad test suite title if used non-english characters
DescriptionBad test suite title if used non-english characters
Steps To Reproduce - Set name for Test Suite with non-english characters, something for example "?????" (I've use cyrillic characters)
 - Open "Test result matrix"
 - Open some test case execution details, url looks like "/lib/execute/execSetResults.php?..."

bug: Bad test suite title (see screen)
Additional InformationI've patched it

in file /lib/execute/execSetResults.php
string 634
              $str .= htmlentities($elem) . '</a>/';
replaced to:
              $str .= htmlspecialchars($elem) . '</a>/';
and now non-english characters is ok.
TagsNo tags attached.
Database (MySQL,Postgres,etc)Mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon Screenshot_75.png [^] (39,241 bytes) 2011-03-16 04:51


zip file icon fix_4324.zip [^] (15,092 bytes) 2011-03-23 11:04

- Relationships
has duplicate 0004437closedJulian execSetResults.php: Failed encoding Cyrillic text in Test Suite Info 
child of 0004337closedfman Availables Fixes for 1.9.2 (Prague) 

-  Notes
(0014222)
Julian (reporter)
2011-03-23 11:05

http://gitorious.org/testlink-ga/testlink-code/commit/04b8707dd1da2cf8601da6709ce75a2e0a05aab2 [^]
(0015413)
fman (administrator)
2011-07-02 13:48

1.9.3 released

- Issue History
Date Modified Username Field Change
2011-03-15 08:57 okyl New Issue
2011-03-15 20:16 fman Summary DEFECT: Bad test suite title if used non-english characters => Bad test suite title if used non-english characters
2011-03-16 04:51 okyl File Added: Screenshot_75.png
2011-03-23 11:04 Julian File Added: fix_4324.zip
2011-03-23 11:05 Julian Note Added: 0014222
2011-03-23 11:05 Julian Status new => resolved
2011-03-23 11:05 Julian Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)
2011-03-23 11:05 Julian Resolution open => fixed
2011-03-23 11:05 Julian Assigned To => Julian
2011-03-23 11:05 Julian Relationship added child of 0004337
2011-04-21 19:51 Julian Relationship added has duplicate 0004437
2011-07-02 13:48 fman Note Added: 0015413
2011-07-02 13:48 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker